2020-04-10 14:14 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004041ThunderJaws[All Projects] Generalpublic2020-01-12 21:11
ReporterIrek 
Assigned ToCFOUProject InfoThunder Jaws (Tengen/Domark)
http://www.whdload.de/games/ThunderJaws.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionreopened 
Summary0004041: Music and sound problems in the game. I know that it was written in "readme"
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.2 from 18.10.2001

Music and sound problems in the game. I know that it was written in "readme" file about it. It is a pity that the error has never been fixed.
TagsNo tags attached.
MachineA1200
CPU68040
CPUSpeed40
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.3
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0006651

Irek (reporter)

The game crashes with snoopocs option, right at the beginning with a error.
PC=$5BFFD136 (Slave $136) Word Write to $DFF180 (custom.cdor00)

note ~0007615

CFOU (developer)

Last edited: 2020-01-05 18:53

View 2 revisions

is not an access fault to write word at $180 DMA register!, it's normal usage...

note ~0007616

CFOU (developer)

for music problem, i must look for that perhaps not really difficult to patch...

note ~0007620

CFOU (developer)

fixed with patch v1.3

note ~0007633

Irek (reporter)

Thanks for the new update.
I have the game as original here, the disk image version (DIC) works without problems, but it seems that the game as files has a little problem with game-over image (gfx error).

note ~0007634

Irek (reporter)

BTW: I made a couple of icons for the game today. It's nothing special but maybe someone will like it .....

note ~0007635

CFOU (developer)

i re-test several time an i can reproduct gfx bug in end screen

Have all time this bug?

Can you send to me installed files version?

note ~0007636

Irek (reporter)

It is not the end screen, rather the game-over screen. I tried the version of Retroplay yesterday and the files version has the same problem as my version. The gfx error occurs only with Files Ver. the DIC Image does not have this problem.

EDIT:I added the screenshot

note ~0007637

CFOU (developer)

i found reason again A5 register not initialised....

By chance not bug with disk version.

i fix it

note ~0007638

CFOU (developer)

music bugs and gameover screen corruption (files version) fixed with V1.4

note ~0007639

CFOU (developer)

fixed with v1.4
+Notes

-Issue History
Date Modified Username Field Change
2019-01-13 13:24 administrator New Issue
2019-01-13 13:24 administrator Status new => assigned
2019-01-13 13:24 administrator Assigned To => CFOU
2019-01-14 16:26 Irek Note Added: 0006651
2020-01-05 18:52 CFOU Note Added: 0007615
2020-01-05 18:53 CFOU Note Edited: 0007615 View Revisions
2020-01-05 18:54 CFOU Note Added: 0007616
2020-01-10 12:31 CFOU Status assigned => closed
2020-01-10 12:31 CFOU Resolution open => fixed
2020-01-10 12:31 CFOU Note Added: 0007620
2020-01-11 21:51 Irek Status closed => feedback
2020-01-11 21:51 Irek Resolution fixed => reopened
2020-01-11 21:51 Irek Note Added: 0007633
2020-01-11 21:52 Irek Note Added: 0007634
2020-01-11 21:52 Irek Status feedback => assigned
2020-01-11 21:54 Irek File Added: Icons.lha
2020-01-12 01:49 CFOU Note Added: 0007635
2020-01-12 10:31 Irek File Added: 1389_screen1.png
2020-01-12 10:31 Irek Note Added: 0007636
2020-01-12 20:25 CFOU Note Added: 0007637
2020-01-12 21:10 CFOU Status assigned => new
2020-01-12 21:10 CFOU Note Added: 0007638
2020-01-12 21:11 CFOU Status new => closed
2020-01-12 21:11 CFOU Note Added: 0007639
+Issue History